Subject: bug#47718: Fix epa-file-insert-file-contents substring error

From: juntaka <[email-masked]>
Date: Mon, 12 Apr 2021 12:57:28 +0000

Hi Eli,

In my use case, I'm writing an elisp to show the first line of each file on dired.
It does not need to visit and read entire file. So I just try to limit by (window-width).
But if Emacs try to decrypt GPG files, then I got such error.

Regards,

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Monday, April 12, 2021 8:57 PM, Eli Zaretskii <[email-masked]> wrote:

> > From: Lars Ingebrigtsen [email-masked]
> > Date: Mon, 12 Apr 2021 10:14:34 +0200
> > Cc: [email-masked]
> > juntaka [email-masked] writes:
> >
> > > I think substring occurs error when TO is longer than its content.
> > > This patch will fix the substring bug in epa-file-insert-file-contents.
> >
> > Thanks; applied to Emacs 28.
>
> Actually, I wonder whether this is TRT: why should we silently accept
> invalid inputs when substring itself doesn't?
>
> IOW, can we please have a real-life use case where this happens, and
> where silently "fixing" this input is TRT? TIA.